Bug 225116 - Sampling profiler should dump a tier breakdown, and add ability to see time spent in C code with sampleCCode=0, and fix bugs with frames having the wrong jitType if they're inlined
Summary: Sampling profiler should dump a tier breakdown, and add ability to see time s...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-27 12:23 PDT by Saam Barati
Modified: 2021-04-29 10:43 PDT (History)
7 users (show)

See Also:


Attachments
patch (14.45 KB, patch)
2021-04-28 15:13 PDT, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2021-04-27 12:23:16 PDT
...
Comment 1 Saam Barati 2021-04-28 15:13:42 PDT
Created attachment 427299 [details]
patch
Comment 2 Yusuke Suzuki 2021-04-28 15:15:24 PDT
Comment on attachment 427299 [details]
patch

r=me
Comment 3 Saam Barati 2021-04-28 15:16:12 PDT
This will show data like this:

Tier breakdown:
-----------------------------------
LLInt:                    10  (0.197902%)
Baseline:                191  (3.779933%)
DFG:                     693  (13.714625%)
FTL:                     482  (9.538888%)
js builtin:               17  (0.336434%)
Wasm:                      0  (0.000000%)
Host:                      0  (0.000000%)
C/C++:                  3666  (72.550960%)
Unknown Frame:             1  (0.019790%)
Unknown Executable:       10  (0.197902%)
Comment 4 EWS 2021-04-29 10:42:22 PDT
Committed r276786 (237164@main): <https://commits.webkit.org/237164@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427299 [details].
Comment 5 Radar WebKit Bug Importer 2021-04-29 10:43:15 PDT
<rdar://problem/77329686>